Skip to main content
Infrastructure/Installer

ListInstallerPackages

List all packages available from the depot for installation

GET/api/v1/installer/depot/packages

Operation ID

ListInstallerPackages

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • name
      String

      Package name in the depot catalog

      Example: zcf-core

    • displayName
      String

      Human-friendly display name of the package

      Example: ZCF Core Service

    • version
      String

      Available version of this package

      Example: 1.2.0

    • deliveryType
      String

      Distribution delivery type for the package

      Example: container

    • category
      String

      Category grouping for this package

      Example: core

    • sizeBytes
      String

      Size of the package in bytes

      Example: 268435456

    • status
      String

      Local availability status for this package

      Example: not_downloaded

    • arches
      List

      Arches for this resource

      Example: item1,item2

  • total
    Integer

    Total number of packages available from the depot

    Example: 8